Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to update

Body

application/json

API key details to be created

isPublic
enum<boolean>
required

Whether the API key is public.

Available options:
true
name
string
required

Name of the API key.

allowedOrigins
string[]

List of allowed origins (only required if isPublic is false).

expiresAt
string<date-time>

Expiration date of the API key.

Response

200 - application/json

User updated successfully

id
string
required
key
string
required
teamId
string
required
uuid
string
required
isPublic
boolean
required
createdAt
string
required
expiresAt
string
required